
Redmine - Defect #16640

Emails are not being sent to recipients for redmine events

2014-04-11 17:39 - Ryan Sparkes

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version: 2.5.0

Description

We are having issues with Redmine email not being sent.

We have found that a workaround to our issue is to update mailer.rb to explicitly state who the mail is from. For example, we have

added the highlighted lines below:

def account_information(user, password)

set_language_if_valid user.language

@user = user

@password = password

@login_url = url_for(:controller => 'account', :action => 'login')

f = "Redmine <#{Setting.mail_from}>" 

mail :to => user.mail,

:from => f,

:subject => l(:mail_subject_register, Setting.app_title)

end

We needed to make a similar change in all methods that send out an email. It's not clear to us that this is the correct fix - perhaps

there is a setting somewhere that we have missed?

We did not see this problem in redmine 2.3.1, but it appeared after upgrading to 2.5.0.

Environment:  

Redmine version 2.5.0.stable

Ruby version 1.9.3-p231 (2012-05-25) [i386-mingw32]

Rails version 3.2.17

Environment production

Database adapter Mysql2

History

#1 - 2014-04-12 12:15 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Cant reproduce

'From' is set.

source:tags/2.5.1/app/models/mailer.rb#L378

Test passes.

source:tags/2.5.1/test/unit/mailer_test.rb#L205

#2 - 2014-04-14 07:40 - Martin Denizet (redmine.org team member)

I suggest you have this problem because your email host doesn't tolerate you to send an email with a "From" address different from the one of the

account you are using to send out emails.

The "From" address can be editing in the Redmine settings.
